import Qt 4.7
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper
import "../common/Margins.js" as Margins

ActivationBasePage
{
	headerString:			context.Localize("ActivationResultConnectionErrorHeader")
	backButtonEnabled:		true
	nextButtonEnabled:		activationKeyFileName.text // TODO:    ,   
	objectName: "ActivationResultConnectionErrorHeader"

	Column
	{
		anchors.fill:	parent
		objectName: "column"
		Column
		{
			spacing:	10
			anchors.left:	parent.left
			anchors.right:	parent.right
			objectName: "column"
		Widgets.GrayButton
			{
				id:						buttonForCheckInternetAndTryingActivation
				objectName: "buttonForCheckInternetAndTryingActivation"
				text:					context.Localize("ButtonTextForCheckInternetAndTryingActivation")
				onClicked: 
				{
					context.StartActivation();
				}	
			Text
			   {
				id:				textForCheckInternetAndTryingActivation
				anchors.left:	parent.left
				anchors.right:	parent.right
				anchors.rightMargin: -300
				anchors.leftMargin: 200
				text:			context.Localize("TextForCheckInternetAndTryingActivation")
				font:			activationWizard.fontStyles.masterOfActivationButtonsNormalText
				wrapMode:		Text.Wrap
				}
            
			}
	}
		Item { width: parent.width; height: 25 }
		Rectangle{width: workingArea.width; x: -pagesWorkingArea.anchors.leftMargin; height: 1; color: "#cccccc";}
		Item { width: parent.width; height: 30 }

		Column
		{
			spacing:	6
			anchors.left:	parent.left
			anchors.right:	parent.right
			Text
			{
				id:				textForActivationWithKeyFile
				text:			context.Localize("TextForActivationWithKeyFile")
				font:			activationWizard.fontStyles.textForActivationWithKeyFile
				wrapMode:		Text.Wrap
			}
			Column
			{
				anchors.left:	parent.left
				anchors.right:	parent.right
				spacing: 		3
				Text
				{
					anchors.left:	parent.left
					anchors.right:	parent.right
					height:			paintedHeight
					text:			context.Localize("DescriptionForActivationWithKeyFile")
					font:			activationWizard.fontStyles.masterOfActivationButtonsNormalText
					wrapMode:		Text.Wrap

					onLinkActivated:
					{
						context.ShowAcivationCenter();
					}
				}
			}
		}
		Item { width: parent.width; height: 18 }
		Column
		{
			width:	parent.width
			objectName: "column"
			spacing: 10
			Text
			{
				id:				activationKeyFileText
				text:			context.Localize("ActivationKeyFileText")
				font:			activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
			Item
			{
				anchors.left:				parent.left
				anchors.right:				parent.right
				height:						childrenRect.height
				objectName: "browseKeyFile"
				Rectangle
				{
					id:				activationKeyFile
					border.color:	"gray"
					anchors.left:	parent.left
					anchors.right:	buttonForBrowseKeyFile.left
					anchors.rightMargin:		Margins.horizontalBetweenButtons
					radius: 3
					height: 28
					Text
					{
						id: activationKeyFileName
						anchors.fill: parent
						anchors.leftMargin: 6
						anchors.rightMargin: 6
						text:			context.KeyFilePath
						font: activationWizard.fontStyles.activationKeyFileInput
						verticalAlignment: Text.AlignVCenter
						elide: Text.ElideMiddle
						color: "gray"
					}
				}
                Widgets.GrayButton
				{
					id:						buttonForBrowseKeyFile
					objectName: "buttonForBrowseKeyFile"
					anchors.right:			parent.right
					text:					context.Localize("ButtonTextForBrowseKeyFile")
					onClicked:
					{
						context.SelectKeyFile();
					}
				}
				
			}
		}
	}

	function onNext()
	{
		context.TryKeyFile();
	}
	function onHelp()
	{
		Help.Show(44618);
	}
}

