import Qt 4.7
import "../fonts" as Fonts
import "../widgets" as Widgets

Item
{
    id: secondaryWindow
    objectName: "secondaryWindow"
    property string caption: ""
    property string systemCaption: caption
    property alias workArea: workAreaLoader.sourceComponent
    property alias workAreaItem: workAreaLoader.item
    property alias buttonsArea: buttonsAreaLoader.sourceComponent
    property bool hasFooter: true
    property alias iconImage: icon.source
    property alias canMinimize: windowButtons.minimizeButtonEnabled
    property alias showMinimize: windowButtons.minimizeButtonVisible

    property variant commonFontStyles: Fonts.Common{}

    signal close

    width: 300
    height: 500

    Widgets.DPIScaler { changeWidth: true }

    onSystemCaptionChanged: Window.SetCaption(systemCaption)

    Rectangle
    {
        id: rect
        anchors
        {
            fill: parent
            topMargin: 29
            leftMargin: 9
            rightMargin: 9
            bottomMargin: secondaryWindow.hasFooter ? 44 : 10
        }
        color: "white"
    }
    Loader
    {
		objectName: "workAreaLoader"
        id: workAreaLoader
        anchors.fill: rect
        clip: true
    }

    BorderImage
    {
        anchors.fill: parent
        source: "../images/secondary/secondary_window_frame.png"
        border
        {
            left: 100
            right: 100
            top: 100
            bottom: secondaryWindow.hasFooter ? 100 : 10
        }
    }

    Row
    {
        anchors
        {
            verticalCenter: parent.top
            verticalCenterOffset: 15
            left: parent.left
            leftMargin: 10
        }
        spacing: 4
        Image
        {
            id: icon
            source: "../images/window/ico_k_16.png"
            anchors.verticalCenter: parent.verticalCenter
        }
        Text
        {
            id: captionText
            font: commonFontStyles.standardWindowCaptionFont
            anchors.verticalCenter: parent.verticalCenter
            anchors.verticalCenterOffset: 1
            text: secondaryWindow.caption
        }
    }

    SecondaryWindowButtons { id: windowButtons; onClose: { secondaryWindow.close(); Window.Close() } }

    Loader
    {
        id: buttonsAreaLoader
        objectName: "buttonsAreaLoader"
        anchors
        {
            left: rect.left
            right: rect.right
            top: rect.bottom
            topMargin: 7
            bottom: parent.bottom
            bottomMargin: 7
        }
        clip: true
    }
}
