import Qt 4.7
import "../common/fonts" as Fonts
import "../common/widgets" as Widgets
import "../common/EnumHelper.js" as EnumHelper

Item
{
	id: ksnStatus
    property variant fontStyles: Fonts.Online{}
    property variant context: MainWindow.online
    property string onlineStateInt:	context.OnlineState
    property string ksnState:		""
    	
    onOnlineStateIntChanged:
    {
        ksnState = EnumHelper.getKey(context, "OnlineState")
    }
    
    OnlineServiceStatistics
    {
		visible: ksnState == "Online"
		width: parent.width
    }
    
    Column
    {
		y: 4
        visible: ksnState == "OfflineDueToAgreement"
		width: parent.width
		spacing: 13
		
		TroubleInfo
		{
			width: parent.width
			trouble: "KsnNoAgreement"
		}

		Widgets.GrayButton
		{
			objectName:	"ButtonAgreementAction"			
			text: context.Localize("KsnAgreementAction");
			onClicked: { context.ShowKsnAgreementAction.Invoke(); }
			horizontalMargin: 20
		}
	}
	
	Column
    {
		y: 4
		visible: ksnState == "OfflineDueToLicense"
		width: parent.width
		spacing: 13
		
		TroubleInfo
		{
			width: parent.width
			trouble: "KsnNoLicense"
		}

		Widgets.GrayButton
		{
			objectName:	"ButtonAgreementAction"			
			text: context.Localize("LicenseManagerAction");
			onClicked: { context.LicenseManagerAction.Invoke(); }
			horizontalMargin: 20
		}
	}
	
	TroubleInfo
	{
        y: 4
		visible: ksnState == "OfflineDueToInternetConnection"
		width: parent.width
		trouble: "KsnNoInternet"
	}
}    
