import Qt 4.7
import "../common/fonts" as Fonts
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets
import "../common/border" as Border
import "../common/Colors.js" as Colors

Border.BorderedContent
{
	objectName: "AdditionalLicenseInfo"
    content: page
    Widgets.SecondaryWindow
    {
        objectName: "AdditionalLicenseInfoDialog"
        id:page
        width:690
        height: Math.max(280, workAreaItem.height + 150)

        canMinimize:false
		caption: AdditionalLicenseInformation.Localize("AdditionalLicenseInformationCaption");

        property variant model : AdditionalLicenseInformation
        property variant commonFontStyles: Fonts.Common{}

        function getLicenseImage(object, licenseState)
        {
            return EnumHelper.convert(object, licenseState, {
                "Actual":"../common/images/license/pic_license_normal.png",
                "Invalid":"../common/images/license/pic_license_expired.png",
                "Unknown":"../common/images/license/pic_license_unknown.png",
                "HasWarnings":"../common/images/license/pic_license_normal.png"});
        }

        function getStatusColor(object, licenseState)
        {
            return EnumHelper.convert(object, licenseState, {
				"Actual":Colors.green,
				"Invalid":Colors.red,
				"Unknown":"gray",
				"HasWarnings":Colors.green});
        }

        workArea : Item
        {
			objectName: "workArea"
			id: workingArea
			height: childrenRect.height

            Image
            {
                id: licenseImage
                source: page.getLicenseImage(page.model, "ActiveLicenseState");
                anchors.left:parent.left;anchors.leftMargin:30
                anchors.top:parent.top;anchors.topMargin:34
            }

            ListView
            {
                id:infoList
                anchors.left:licenseImage.right;anchors.leftMargin:32
                anchors.top:licenseImage.top
                anchors.topMargin: 3
                anchors.right:parent.right
                onContentHeightChanged: height = contentHeight
		        Component.onCompleted: height = contentHeight
                model:page.model.LicenseInfo
                interactive: false
                delegate:infoDelegate
                spacing:6
            }

            Component
            {
                 id: infoDelegate
                 Item
                 {
                     width:infoList.width;
                     height:commonItem.height
                     visible: true;

                     Widgets.StaticLabel
                     {
                         id:commonItem
                         caption:model.modelData.name
                         value:model.modelData.value
                         captionFont:page.commonFontStyles.standardCommonTextFont
                         valueFont:page.commonFontStyles.standardCommonTextFont
                         valueColor:model.modelData.isLicenseState ? page.getStatusColor(page.model, "ActiveLicenseState") : "gray";
                         isWrapMode: true;
                         wrapToBottom: true;
                     }
                 }
            }
        }
            buttonsArea : Item
        {
			objectName: "buttonsArea"
            Row
            {
                spacing: 10
                height: parent.height
                anchors.right: parent.right;
                objectName: "row"

                Widgets.GrayButton
                {
                    objectName: "AdditionalLicenseInfo_CloseButton"
                    text: page.model.Localize("CloseButton");
                    onClicked: { Window.Close() }
                    anchors.verticalCenter: parent.verticalCenter
                    verticalMargin: 10
                    horizontalMargin: 20
                }
            }
        }
    }
}
