import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper
import "../common/widgets" as Widgets

Widgets.Button
{
	id: button
	signal activate(string panelName)
	signal rightPressed()
	hoverImage: "../images/main_window/featurebox/hover.png"
	backgroundImage: ""
	focus: ListView.view != null && ListView.view.focusIndex == index

	property variant context: MainWindow
	property variant component: model.modelData

	function getComponentImage(object, compopentType)
	{
		return "image://preload/common/images/main_window/featurebox/icons_" + EnumHelper.convert(object, compopentType, {
			"Scan":"01",
			"ProgramsActivity":"03",
			"Updater":"04",
			"SafeProgramsStartup":"05",
			"NetworkMonitoring":"06",
			"VirtualKeyboard":"07",
			"ParentalControl":"13",
			"PersonalDataProtection":"09",
			"Quarantine":"10",
			"Tools":"11",
			"SafeWebSitesBrowsing":"08",
			"Upgrade":"12",
			"Downgrade":"12"
			})
			+ ".png";
	}
	Column
	{
		y: 31 + (button.state == "normal" ? 0 : -1)
		spacing: 10
		width: parent.width
		height: parent.height
		Image
		{
			id: componentIcon
			anchors.horizontalCenter: parent.horizontalCenter
			source: getComponentImage(component, "ComponentType");
		}

		Text
		{
			width: parent.width;
			text: context.Localize(EnumHelper.getKey(component, "ComponentType"));
			smooth: true
			font.family: "FranklinGothicMediumTT"
			font.pointSize: 10;
			color: "#ffffff"
			style: Text.Sunken
			styleColor: "#00372d"
			horizontalAlignment: "AlignHCenter"
			wrapMode: "WordWrap"
			verticalAlignment: "AlignTop"
            lineHeight: 0.8
		}
	}
	MouseArea
	{
		anchors.fill: parent
		onClicked:
		{
			if (Qt.isQtObject(component.Action))
				component.Action.Invoke();
			else
				button.activate("panel" + EnumHelper.getKey(component, "ComponentType"));
		}
	}
	Keys.onRightPressed: button.rightPressed()
}
