import Qt 4.7
import "../common/widgets" as Widgets

Widgets.WizardPage
{
    context: MainWindow.migrationWizard
    wizardState: context.CurrentPage
    wizardStateName: "CurrentPage"

    headerString: context.PageHeader

    backButtonEnabled: context.PrevAction != undefined && context.PrevAction.IsEnabled;
    nextButtonEnabled: (context.NextAction != undefined && context.NextAction.IsEnabled) || 
						(context.FinishAction != undefined && context.FinishAction.IsEnabled)
    cancelButtonEnabled: context.CancelAction != undefined && context.CancelAction.IsEnabled;
    helpButtonVisible: false

    function isFinishAvailable()
    {
        return context.FinishAction != undefined && context.FinishAction.IsEnabled;
    }
    
    function finishWizard()
    {
		parentWizard.close()
	}

    nextButtonText: isFinishAvailable() ?
            context.Localize("FinishButton") : context.Localize("NextButton");

    function onNext()
    {
        if (isFinishAvailable())
        {
            if (context.FinishAction != undefined)
                context.FinishAction.Invoke();
			finishWizard();
        }
        else
        {
            if (context.NextAction != undefined)
                context.NextAction.Invoke();
        }
    }

    function onBack()
    {
        if (context.PrevAction != undefined)
            context.PrevAction.Invoke();
    }
    function onCancel()
    {
        if (context.CancelAction != undefined)
            context.CancelAction.Invoke();
    }
    function onClose()
    {
        if (context.CancelAction != undefined)
            context.CancelAction.Invoke();
    }
    
}

