import Qt 4.7
import "../common/widgets" as Widgets
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	caption: MainWindow.Localize("SafeWebSitesBrowsing")
	property int helpId: (MainWindow.parentalControl.PasswordEnter.IsPasswordSpecified && 
				!MainWindow.parentalControl.PasswordSet.ShouldAskPasswordParentalControl &&
				!MainWindow.parentalControl.PasswordSet.IsPasswordSkiped) ||
				(MainWindow.parentalControl.PasswordEnter.IsPasswordSpecified &&
				MainWindow.parentalControl.PasswordSet.ShouldAskPasswordParentalControl &&
				MainWindow.parentalControl.PasswordEnter.IsInvalidPassword) ? 39471 : 25657

	objectName: "parentalControlPage"

	viewArea: Component
	{
		Item
		{			
			anchors.fill: parent
			objectName: "parentalControl"
			
			property variant context: MainWindow.parentalControl
			
			Component.onCompleted:
			{
				context.PasswordSet.IsPasswordSkiped = false
			}
			
			ApplyExistPassword
			{
				visible: context.PasswordEnter.IsPasswordSpecified && 
				!context.PasswordSet.ShouldAskPasswordParentalControl &&
				!context.PasswordSet.IsPasswordSkiped
			}
			
			EnterPassword
			{
				visible:	context.PasswordEnter.IsPasswordSpecified &&
							context.PasswordSet.ShouldAskPasswordParentalControl &&
							context.PasswordEnter.IsInvalidPassword 
				Component.onCompleted: setFocus()
				onVisibleChanged: setFocus()
				function setFocus()
				{
					if (visible)
						setActiveFocus(700);
				}
			}
			
			SetupPassword
			{
				visible: !context.PasswordEnter.IsPasswordSpecified && !context.PasswordSet.IsPasswordSkiped
				Component.onCompleted: setFocus()
				onVisibleChanged: setFocus()
				function setFocus()
				{
					if (visible)
						setActiveFocus(700);
				}
			}
			
			AccountList
			{
				visible: (context.PasswordEnter.IsPasswordSpecified && !context.PasswordEnter.IsInvalidPassword) 
							|| context.PasswordSet.IsPasswordSkiped
			}		
		}
	}
}
