import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../common/border" as Border

Border.BorderedContent
{
    content: dialog
    id: cleanSafeBrowserPage
    objectName: "CleanSafeBrowserPage"
    Widgets.SecondaryWindow
    {
        id: dialog
        objectName: "CleanSafeBrowserDialog"
        property variant context: Sandbox
        property variant standartFontStyles: Fonts.Common{}

        width:	420
        height: 250

        caption: context.Localize("CleanSafeBrowserCaption")
        workArea : Item
        {
            id: mainArea
            objectName: "mainArea"
            anchors.fill: parent
            anchors.topMargin:	30
            anchors.leftMargin: 30
            anchors.rightMargin: 30

            Image
            {
                id: bigIcon
                source: "../common/images/ico_warning_32.png"
                y: 4
            }

            Column
            {
                anchors
                {
                    left: bigIcon.right
                    leftMargin: 20
                    right: parent.right
                }
                spacing: 8
                Text
                {
                    width: parent.width
                    text: dialog.context.Localize("CleanSafeBrowserAgree")
                    wrapMode: "WordWrap"
                    font: dialog.standartFontStyles.standardBoldSubHeadingFont
                }
                Text
                {
                    width: parent.width
                    text: dialog.context.Localize("CleanSafeBrowseDescription")
                    font: dialog.standartFontStyles.standardCommonTextFont
                    wrapMode: "WordWrap"
                }
            }
        }

        buttonsArea : Item
        {
			objectName: "buttonsArea"
            Widgets.HelpButton
            {

                x: 10
                objectName: "CleanSafeBrowser_HelpButton"
                context: dialog.context
                onClicked: { cleanSafeBrowserPage.showHelp(); }
                anchors.verticalCenter: parent.verticalCenter
                anchors.left: parent.left
            }

            Row
            {
                spacing: 8
                height: parent.height
                anchors.right: parent.right;
                objectName: "buttonsRow"
                Widgets.GrayButton
                {
                    objectName: "CleanSafeBrowser_CleanButton"
                    text: dialog.context.Localize("CleanSanbox");
                    onClicked: { dialog.context.CleanSafeBrowserAction.Invoke(); Window.Close(); }
                    verticalMargin: 10
                    horizontalMargin: 20
                    anchors.verticalCenter: parent.verticalCenter
                }

                Widgets.GrayButton
                {
                    objectName: "CleanSafeBrowser_CancelButton"
                    text: dialog.context.Localize("Cancel");
                    onClicked: { Window.Close() }
                    anchors.verticalCenter: parent.verticalCenter
                    verticalMargin: 10
                    horizontalMargin: 20
                }
            }
        }
    }
    function showHelp() { Help.Show(47807); }
    Keys.onPressed: { if (event.key == Qt.Key_F1) showHelp(); }
}
