import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "../main_window" as MainFrame
import "../common/Colors.js" as Colors

MainFrame.InnerContent
{
	caption: MainWindow.Localize("Updater")
	objectName: "updaterContent"
	property int helpId: 44713
	viewArea: Component
	{
		Item
		{
			property variant commonFontStyles: Fonts.Common{}

			anchors.fill: parent
			objectName: "updaterPanel"
	
			property int indent: 8
			property variant context: MainWindow.updater
			property variant updater: MainWindow.updater			

			Image
			{
				id: icon
				anchors.horizontalCenter: parent.left
				anchors.horizontalCenterOffset: descriptionArea.x / 2
				y: 40
				source: "../common/images/updater/ico_update_bases_48.png"
			}
		
			Item
			{
				id: descriptionArea
				objectName: "descriptionArea"
				anchors.left: parent.left
				anchors.leftMargin: 105
				anchors.right: parent.right
				anchors.top: icon.top
				anchors.topMargin: 5
				height: 100
			
				Widgets.StandardCaptionText
				{
					id: descriptionCaption
					text: updater.UpdaterContext.text

					anchors.left: parent.left
					anchors.right: parent.right

					wrapMode: Text.WordWrap
					color: 
					{
						switch(context.UpdaterContext.state)
						{
                            case "Info":		return Colors.green
                            case "Critical":	return Colors.red
                            case "Warning":		return Colors.yellow
						}
					}
				}
			
				Text
				{
					id: hintsArea
					anchors.top: descriptionCaption.bottom
                    anchors.topMargin: 6
					anchors.left: descriptionCaption.left
					anchors.right: descriptionArea.right
					anchors.rightMargin: 30
					font: commonFontStyles.standardCommonTextFont
                    text: context.Localize("BasesAndModulesDescription");
                    lineHeight: 1.1
					
					wrapMode: "WordWrap"
				}
		
                Item
				{
					id: updaterArea
					anchors.top: hintsArea.bottom
                    anchors.topMargin: 25
                    Widgets.DPIScaler { id: scaler }
                    height: 56 * scaler.factor
                    width: parent.width

                    ListView
                    {
                        id: detailsView
                        spacing: 3
                        height: parent.height
                        width: parent.width
                        model: updater.TableData
                        delegate: Widgets.StatLine{}
                    }
                }
			
				Widgets.ComboButton
				{
					minWidth: 120
					objectName: "updaterLauncher"
					actionList: updater.ActionData
                    anchors.top: updaterArea.bottom;
                    anchors.topMargin: 15
					property QtObject tempElement
					onPressed:
					{
						if(index < updater.ActionData.length)
						{
							tempElement = updater.ActionData[index];
							if(tempElement.action != undefined)
								tempElement.action.Invoke()
						}
					}
				}
			}
			
			Widgets.Hyperlink
			{
				anchors.right: parent.right
				anchors.rightMargin: 20
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 20
				text: context.Localize("Bases")
				onClicked: { MainWindow.InvokeSkinAction("window(\"UpdTable\")") }
			}
			
			Widgets.Hyperlink
			{
				anchors.right: parent.right
				anchors.rightMargin: 65
				anchors.bottom: parent.bottom
				anchors.bottomMargin: 20
				text: context.Localize("VirusListLinkText")
				onClicked: updater.ViruslistReportAction.Invoke()
			}
		}
	}
}


